Update Lease: ResMan
https://api.propexo.com/v1/leases/resman/:lease_id| Interface | Method |
|---|---|
| Lease Application | /MITS/PostLeaseApplication3_0 |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lease
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the applicant
The application date associated with the applicant
Show 2 variants
The start date associated with the applicant
Show 2 variants
The end date associated with the applicant
Show 2 variants
The status associated with the applicant
Show 5 enum values
PENDINGAPPROVEDCANCELEDDENIEDSIGNEDThe first name associated with the applicant
The last name associated with the applicant
The date of birth associated with the applicant
Show 2 variants
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 3 enum values
HOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 3 enum values
HOMEMOBILEWORKThe market rent amount in cents for the lease
The move-in date associated with the lease
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lease
The Propexo unique identifier for the applicant
The application date associated with the applicant
Show 2 variants
The start date associated with the applicant
Show 2 variants
The end date associated with the applicant
Show 2 variants
The status associated with the applicant
Show 5 enum values
PENDINGAPPROVEDCANCELEDDENIEDSIGNEDThe first name associated with the applicant
The last name associated with the applicant
The date of birth associated with the applicant
Show 2 variants
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 3 enum values
HOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 3 enum values
HOMEMOBILEWORKThe market rent amount in cents for the lease
The move-in date associated with the lease
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leases/resman/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"applicant_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"applicant_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"rent_amount_market_in_cents": 0,
"move_in_date": "2024-07-29T15:51:28.071Z"
}
}